Find Business Email
curl --request POST \
--url https://api.groweasy.io/email/find \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Smith",
"company": "acme.com",
"linkedinUrl": "<string>"
}
'import requests
url = "https://api.groweasy.io/email/find"
payload = {
"firstName": "John",
"lastName": "Smith",
"company": "acme.com",
"linkedinUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Smith',
company: 'acme.com',
linkedinUrl: '<string>'
})
};
fetch('https://api.groweasy.io/email/find', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"email": "john.smith@acme.com",
"confidence": 0.95,
"sources": [
"linkedin",
"company_website"
]
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "The request body is missing required fields"
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "The request body is missing required fields"
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "The request body is missing required fields"
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "The request body is missing required fields"
}
}API documentation
Find Business Email
Find a business email address for a person based on their name and company.
POST
/
email
/
find
Find Business Email
Example
curl -X POST "https://api.groweasy.io/email/find" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"firstName": "John",
"lastName": "Smith",
"company": "acme.com"
}'
const response = await fetch('https://api.groweasy.io/email/find', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
firstName: 'John',
lastName: 'Smith',
company: 'acme.com',
}),
});
const data = await response.json();
console.log(data.data.email); // "john.smith@acme.com"
console.log(data.data.confidence); // 0.95
import requests
response = requests.post(
"https://api.groweasy.io/email/find",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
json={
"firstName": "John",
"lastName": "Smith",
"company": "acme.com",
},
)
data = response.json()
print(data["data"]["email"]) # "john.smith@acme.com"
print(data["data"]["confidence"]) # 0.95
Response
{
"success": true,
"data": {
"email": "john.smith@acme.com",
"confidence": 0.95,
"sources": ["linkedin", "company_website"]
}
}
With LinkedIn URL
For better accuracy, include the person’s LinkedIn profile URL:curl -X POST "https://api.groweasy.io/email/find" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"firstName": "John",
"lastName": "Smith",
"company": "acme.com",
"linkedinUrl": "https://linkedin.com/in/johnsmith"
}'
Confidence Scores
| Score | Meaning |
|---|---|
| 0.9 - 1.0 | Very high confidence, verified email |
| 0.7 - 0.9 | High confidence, likely correct |
| 0.5 - 0.7 | Medium confidence, pattern-based guess |
| < 0.5 | Low confidence, consider verifying |
Authorizations
API key authentication. Get your API key from the GrowEasy dashboard.
Body
application/json
Person and company information
⌘I